▼ |  | Framework: Racket GUI Application Framework

1 | Framework Libraries Overview
2 | Application
3 | Autosave
4 | Canvas
5 | Color Model
6 | Color Prefs
7 | Color
8 | Comment Box
9 | Decorated Editor Snip
10 | Editor Snip
11 | Editor
12 | Exit
13 | Finder
14 | Frame
15 | Group
16 | GUI Utilities
17 | Handler
18 | Icon
19 | Keymap
20 | Menu
21 | Mode
22 | Number Snip
23 | Panel
24 | Pasteboard
25 | Path Utils
26 | Preferences
27 | Preferences, Textual
28 | Racket
29 | Text
30 | Splash
31 | Test
32 | Version
33 | Backwards Compatibility
34 | Signatures
35 | Unit
| Index

On this page:

menu: can-restore<%>
restore-keybinding
menu: can-restore-mixin
menu: can-restore-underscore<%>
erase-underscores
restore-underscores
menu: can-restore-underscore-mixin
menu: can-restore-menu-item%
menu: can-restore-checkable-menu-item%
menu: can-restore-underscore-menu%

top ← prev up next →

### 20`` Menu

> interface

> menu:can-restore<%> : interface?

implements: | selectable-menu-item<%>

Classes created with this mixin remember their keybindings so the keybindings can be removed and then restored.

> > > method

> > > ( send a-menu:can-restore restore-keybinding ) → void?

> Sets the keyboard shortcut to the setting it had when the class was created.

> mixin

> menu:can-restore-mixin : ( class? . -> . class? )

argument extends/implements: | selectable-menu-item<%>

result implements: | menu:can-restore<%>

> interface

> menu:can-restore-underscore<%> : interface?

implements: | labelled-menu-item<%>

These menus can save and restore the underscores (indicated via the & characters in the original labels) in their labels.
If the preference 'framework:menu-bindings is #f, calls erase-underscores during initialization.

> > > method

> > > ( send a-menu:can-restore-underscore erase-underscores ) → void?

> Erases the underscores in the label of this menu, but remembers them so they can be restores with restore-underscores.

> > > method

> > > ( send a-menu:can-restore-underscore restore-underscores )

> > → void?

> Restores underscores in the menu’s label to their original state.

> mixin

> menu:can-restore-underscore-mixin : ( class? . -> . class? )

argument extends/implements: | labelled-menu-item<%>

result implements: | menu:can-restore-underscore<%>

> class

> menu:can-restore-menu-item% : class?

superclass: ( menu:can-restore-mixin menu-item% )

> class

> menu:can-restore-checkable-menu-item% : class?

superclass: ( menu:can-restore-mixin checkable-menu-item% )

> class

> menu:can-restore-underscore-menu% : class?

superclass: ( menu:can-restore-underscore-mixin menu% )

top ← prev up next →